Name:		merkaartor
Version:	0.18.4
%define 	subrel 1
Release:	%mkrel 9
Summary:	Openstreetmap mapping program
License:	GPLv2+
Group:		Sciences/Other
URL:		http://www.merkaartor.be
Source:		https://github.com/openstreetmap/merkaartor/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		merkaartor-0.18.4-gpsd-3.20.patch
Patch1:		0001-merkaartor-Fix-build-with-Qt-5.15.patch
BuildRequires:	pkgconfig(gdal)
BuildRequires:	qttools5
BuildRequires:	qttranslations5
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	quazip-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libgps) >= 3.23-1
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(proj)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(sqlite3)

%description
Merkaartor is an openstreetmap (http://www.openstreetmap.org) mapping
program. Merkaartor focuses on providing a visually pleasing but
performant editing environment for free geographical data.

%prep
%setup -q
%autopatch -p1

%build
%{_qt5_bindir}/lrelease src/src.pro
%qmake_qt5 QMAKE_CXXFLAGS+="-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H" \
	Merkaartor.pro \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	TRANSDIR_MERKAARTOR=%{_datadir}/%{name}/translations \
	TRANSDIR_SYSTEM=%{_datadir}/qt5/translations \
	RELEASE=1 \
	GDAL=1 \
	ZBAR=0 \
	USEWEBENGINE=1 \
	GEOIMAGE=1 \
	LIBPROXY=1 \
	GPSD=1 \
	GPSDLIB=1 \
	SYSTEM_QTSA=1 \
	SYSTEM_QUAZIP=1 \
	SYSTEM_QUAZIP_LDFLAGS="-lquazip5"
%make_build

%install
%qmakeinstall_std

%files
%doc AUTHORS CHANGELOG HACKING.md README.md
%license LICENSE*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png



%changelog
* Sun Aug 08 2021 tmb <tmb> 0.18.4-9.1.mga8
+ Revision: 1740533
- rebuild for gpsd 3.23

* Thu Dec 17 2020 umeabot <umeabot> 0.18.4-9.mga8
+ Revision: 1659055
- Rebuild for new Qt5

* Sat Oct 31 2020 akien <akien> 0.18.4-8.mga8
+ Revision: 1640846
- Rebuild against gdal with fixed netcdf major dep

* Fri Aug 07 2020 daviddavid <daviddavid> 0.18.4-7.mga8
+ Revision: 1611769
- rebuild for new gpsd 3.21

* Thu Jul 16 2020 daviddavid <daviddavid> 0.18.4-6.mga8
+ Revision: 1606510
- enable WebEngineWidgets support

* Thu Jul 16 2020 daviddavid <daviddavid> 0.18.4-5.mga8
+ Revision: 1606479
- add upstream patch to fix build against Qt 5.15
- rebuild for new gdal 3.1.2

* Fri Mar 20 2020 eatdirt <eatdirt> 0.18.4-4.mga8
+ Revision: 1558277
- Rebuild for new libproj

* Sun Mar 15 2020 daviddavid <daviddavid> 0.18.4-3.mga8
+ Revision: 1556460
- rebuild for new gdal 3.0.4

* Tue Feb 18 2020 daviddavid <daviddavid> 0.18.4-2.mga8
+ Revision: 1538671
- add upstream patch to add compatibility for gpsd 3.20
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Nov 15 2019 daviddavid <daviddavid> 0.18.4-1.mga8
+ Revision: 1460090
- new version: 0.18.4
- remove merged upstream patches

* Thu Jul 04 2019 daviddavid <daviddavid> 0.18.3-13.mga8
+ Revision: 1418193
- rebuild for new gpsd 3.19

* Thu May 16 2019 daviddavid <daviddavid> 0.18.3-12.mga7
+ Revision: 1398030
- add patch to fix build with exiv2 0.27.1
- rebuild for new exiv2 0.27.1

* Sun Mar 31 2019 umeabot <umeabot> 0.18.3-11.mga7
+ Revision: 1383375
- Qt5 Rebuild

* Fri Mar 08 2019 eatdirt <eatdirt> 0.18.3-10.mga7
+ Revision: 1372882
- Rebuild and fix for new libproj

* Fri Jan 11 2019 daviddavid <daviddavid> 0.18.3-9.mga7
+ Revision: 1354799
- add upstream patch to disable webkit support
- rebuild for new exiv2 0.27

* Sun Oct 07 2018 daviddavid <daviddavid> 0.18.3-8.mga7
+ Revision: 1318488
- rebuild for new gpsd 3.18

* Sun Sep 23 2018 umeabot <umeabot> 0.18.3-7.mga7
+ Revision: 1299521
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 daviddavid <daviddavid> 0.18.3-6.mga7
+ Revision: 1210011
- rebuild for new proj 5.0.0

* Mon Dec 04 2017 daviddavid <daviddavid> 0.18.3-5.mga7
+ Revision: 1181164
- rebuild for new gpsd 3.17

* Tue Nov 21 2017 tv <tv> 0.18.3-4.mga7
+ Revision: 1178362
- rebuild for new libproj

* Tue Jun 20 2017 neoclust <neoclust> 0.18.3-3.mga6
+ Revision: 1107995
- Rebuild against new exiv2

* Sun Sep 25 2016 daviddavid <daviddavid> 0.18.3-2.mga6
+ Revision: 1055970
- upstream rebase a new tarball because of a conflicting with the standard import
- remove merged upstream patch

* Mon Aug 29 2016 daviddavid <daviddavid> 0.18.3-1.mga6
+ Revision: 1049391
- new version: 0.18.3
- enable libgps support

* Sun Aug 28 2016 daviddavid <daviddavid> 0.18.2-4.mga6
+ Revision: 1049383
- use system quazip and qtsingleapplication
- enable libproxy support
- add some patches from debian
- split out all Qt5 BRs

* Fri May 20 2016 tv <tv> 0.18.2-3.mga6
+ Revision: 1017107
- rebuild for new libproj

* Sun Jan 10 2016 wally <wally> 0.18.2-2.mga6
+ Revision: 920922
- rebuild for new gdal

* Thu Aug 13 2015 daviddavid <daviddavid> 0.18.2-1.mga6
+ Revision: 864201
- new version: 0.18.2
- switch to QT5 build
- add patch from Fedora to fix build with Qt 5.5
- update Source URL
- zbar support disabled (zbar is only qt4 for now)
- use upstream desktop file
- update file list
- update BuildRequires for Qt5

* Wed Oct 15 2014 umeabot <umeabot> 0.18.1-5.mga5
+ Revision: 751097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.18.1-4.mga5
+ Revision: 682362
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.18.1-3.mga4
+ Revision: 507915
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.18.1-2.mga3
+ Revision: 359972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 matteo <matteo> 0.18.1-1.mga3
+ Revision: 337618
- url fixed
- new version
- spec cleanup
+ nanardon <nanardon>
- 0.17.2

* Sun Dec 25 2011 nanardon <nanardon> 0.15.3-2.mga2
+ Revision: 187542
- imported package merkaartor


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15.3-2mdv2011.0
+ Revision: 612850
- the mass rebuild of 2010.1 packages

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.15.3-1mdv2010.1
+ Revision: 535633
- Update to new version 0.15.3

* Fri Aug 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14-1mdv2010.0
+ Revision: 416397
- Fix libdir
- Update to new version 0.14
- Fix string format

* Mon Jun 08 2009 Michael Scherer <misc@mandriva.org> 0.13.2-3mdv2010.0
+ Revision: 384144
- update to latest release

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.12-3mdv2009.1
+ Revision: 324536
- rebuild

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.12-2mdv2009.1
+ Revision: 303633
- fix url

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.12-1mdv2009.1
+ Revision: 303628
- add desktop file
- import merkaartor


